[ci] fix ftr script when called with parallelism (#135713)

* fix ftr script when called with parallelism

* Update ftr_configs.sh
This commit is contained in:
Spencer 2022-07-05 09:14:26 -05:00 committed by GitHub
parent b631e65c26
commit 9619311120
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
2 changed files with 9 additions and 4 deletions

View file

@ -133,7 +133,7 @@ for (const testSuite of testSuites) {
env: {
FTR_CONFIG: testSuite.ftrConfig,
},
label: `FTR Config: ${testSuite.ftrConfig}`,
label: `${testSuite.ftrConfig}`,
parallelism: testSuite.count,
concurrency,
concurrency_group: process.env.UUID,

View file

@ -4,9 +4,9 @@ set -euo pipefail
source .buildkite/scripts/steps/functional/common.sh
BUILDKITE_PARALLEL_JOB=${BUILDKITE_PARALLEL_JOB:-}
FTR_CONFIG_GROUP_KEY=${FTR_CONFIG_GROUP_KEY:-}
if [ "$FTR_CONFIG_GROUP_KEY" == "" ]; then
if [ "$FTR_CONFIG_GROUP_KEY" == "" ] && [ "$BUILDKITE_PARALLEL_JOB" == "" ]; then
echo "Missing FTR_CONFIG_GROUP_KEY env var"
exit 1
fi
@ -30,12 +30,17 @@ if [[ ! "$configs" && "${BUILDKITE_RETRY_COUNT:-0}" == "1" ]]; then
fi
fi
if [[ "$configs" == "" ]]; then
if [ "$configs" == "" ] && [ "$FTR_CONFIG_GROUP_KEY" != "" ]; then
echo "--- downloading ftr test run order"
buildkite-agent artifact download ftr_run_order.json .
configs=$(jq -r '.[env.FTR_CONFIG_GROUP_KEY].names[]' ftr_run_order.json)
fi
if [ "$configs" == "" ]; then
echo "unable to determine configs to run"
exit 1
fi
failedConfigs=""
results=()